/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 创建、编辑广告位 POST /api/AdvertiseBoard/CreateOrEditAdvertiseBoard */
export async function createOrEditAdvertiseBoard(
  body: API.CreateOrEditAdvertiseBoardInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/AdvertiseBoard/CreateOrEditAdvertiseBoard', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除广告位 DELETE /api/AdvertiseBoard/DeleteAdvertiseBoard */
export async function deleteAdvertiseBoard(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteAdvertiseBoardParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/AdvertiseBoard/DeleteAdvertiseBoard', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据广告位id获取单条广告位详情 GET /api/AdvertiseBoard/GetAdvertiseBoardInfo */
export async function getAdvertiseBoardInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetAdvertiseBoardInfoParams,
  options?: API.RequestConfig
) {
  return request<API.AdvertiseBoardDto>('/api/AdvertiseBoard/GetAdvertiseBoardInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取广告位列表 POST /api/AdvertiseBoard/GetAdvertiseBoardList */
export async function getAdvertiseBoardList(
  body: API.AdvertiseBoardListInput,
  options?: API.RequestConfig
) {
  return request<API.AdvertiseBoardDtoPageOutput>('/api/AdvertiseBoard/GetAdvertiseBoardList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取全部广告位列表 POST /api/AdvertiseBoard/GetAllAdvertiseBoardList */
export async function getAllAdvertiseBoardList(
  body: API.AdvertiseBoardListInput,
  options?: API.RequestConfig
) {
  return request<API.AdvertiseBoardDto[]>('/api/AdvertiseBoard/GetAllAdvertiseBoardList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置广告位的状态 POST /api/AdvertiseBoard/SetAdvertiseBoardStatus */
export async function setAdvertiseBoardStatus(
  body: API.AdvertiseBoardStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/AdvertiseBoard/SetAdvertiseBoardStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
